$(function () {
    $("#cloudboot").click(function () {
        swal({
            title: "您确定要启动吗？",
            text: "",
            type: "info",
            showCancelButton: true,
            closeOnConfirm: false,
            showLoaderOnConfirm: true,
        },
            function () {
                $.ajax({
                    url: "./clientarea.php?action=productdetails&id=" + serverid + "&serveraction=custom&a=boot",
                    dataType: "json",
                }).done(function (data) {
                    if (data.success == 'true') {
                        swal("操作成功!", data.msg, "success");
                    } else {
                        swal("OMG", data.msg, "error");
                    }
                }).error(function (data) {
                    swal("OMG", data.msg, "error");
                });
            });
    });

    $("#cloudreboot").click(function () {
        swal({
            title: "您确定要重启吗？",
            text: "",
            type: "info",
            showCancelButton: true,
            closeOnConfirm: false,
            showLoaderOnConfirm: true,
        },
            function () {
                $.ajax({
                    url: "./clientarea.php?action=productdetails&id=" + serverid + "&serveraction=custom&a=reboot",
                    dataType: "json",
                }).done(function (data) {

                    if (data.success == 'true') {
                        swal("操作成功!", data.msg, "success");
                    } else {
                        swal("OMG", data.msg, "error");
                    }
                }).error(function (data) {
                    swal("OMG", data.msg, "error");
                });
            });
    });

    $("#cloudshutdown").click(function () {
        swal({
            title: "您确定要关机吗？",
            text: "",
            type: "info",
            showCancelButton: true,
            closeOnConfirm: false,
            showLoaderOnConfirm: true,
        },
            function () {
                $.ajax({
                    url: "./clientarea.php?action=productdetails&id=" + serverid + "&serveraction=custom&a=shutdown",
                    dataType: "json",
                }).done(function (data) {
                    if (data.success == 'true') {
                        swal("操作成功!", data.msg, "success");
                    } else {
                        swal("OMG", data.msg, "error");
                    }
                }).error(function (data) {
                    swal("OMG", data.msg, "error");
                });
            });
    });


    $("#cloudchangeip").click(function () {
        swal({
            title: "您确定要更换IP吗？",
            text: "更换IP请耐心等待请求完成,预计2-3分钟。",
            type: "info",
            showCancelButton: true,
            closeOnConfirm: false,
            showLoaderOnConfirm: true,
        },
            function () {
                $.ajax({
                    url: "./clientarea.php?action=productdetails&id=" + serverid + "&serveraction=custom&a=changeip",
                    dataType: "json",
                }).done(function (data) {
                    if (data.success == 'true') {
                        swal("操作成功!", data.msg, "success");
                    } else {
                        swal("OMG", data.msg, "error");
                    }

                }).error(function (data) {
                    swal("OMG", data.msg, "error");
                });
            });
    });

    $.ajax({
        url: "./clientarea.php?action=productdetails&id=" + serverid + "&serveraction=custom&a=statistics",
        dataType: "json",
    }).done(function (data) {
        var Networkechart = echarts.init(document.getElementById('networkechart'), 'walden');
        if (data.success == 'true') {
            var Networkoption = {
                // backgroundColor: '#fff',
                title: {
                    subtext: '最近一周流量统计',
                    left: 'center',
                    textAlign: 'left',
                    subtextStyle: {
                        lineHeight: 50,
                        color: '#fff'
                    }
                },
                tooltip: {
                    trigger: 'axis',
                    axisPointer: {
                        type: 'line',
                        lineStyle: {
                            color: '#7dcb8f'
                        }
                    },
                    // backgroundColor: '#fff',
                    textStyle: {
                        color: '#333',
                        fontSize: 12
                    },
                    padding: [10, 10],
                    extraCssText: 'box-shadow: 0px 4px 13px 1px rgba(1, 24, 167, 0.1);',
                    formatter: function (params, ticket, callback) {
                        const res = `<div>
                                  <div style="color: #fff;">${params[0].marker} ${params[0].seriesName}：${params[0].value} MB</div>
                                  <div style="color: #fff;">${params[1] ? params[1].marker : ''} ${params[1] ? params[1].seriesName : ''}${params[1] ? '：' : ''}${params[1] ? params[1].value : ''}${params[1] ? ' MB' : ''}</div>
                                  <div style="color: #fff;">${params[0].axisValue}</div>
                                </div>`
                        return res

                    }
                },
                legend: {
                    data: ['出网流量', '入网流量'],
                    textStyle: {
                        color: '#fff'
                    },
                },
                grid: {
                    left: '80',
                    top: 20,
                    x: 50,
                    x2: 50,
                    y2: 80
                },
                dataZoom: [{
                    type: 'inside',
                    throttle: 50
                }],
                xAxis: [{
                    offset: 15,
                    type: 'category',
                    boundaryGap: false,
                    axisLine: {
                        lineStyle: {
                            type: 'dashed',
                            color: '#ddd',
                            width: 1
                        }
                    },
                    data: data.data.Network_column,
                    axisTick: {
                        show: false
                    },
                    splitLine: {
                        show: false
                    },
                    axisLabel: {
                        show: true,
                        textStyle: {
                            color: '#fff'
                        }
                    }
                }],
                yAxis: [{
                    type: 'value',
                    axisTick: {
                        show: false
                    },
                    axisLine: {
                        show: false
                    },
                    axisLabel: {
                        formatter: '{value} MB',
                        textStyle: {
                            color: '#fff'
                        }
                    },
                    splitLine: {
                        lineStyle: {
                            type: 'dashed'
                        }
                    }
                }],
                series: [{
                    name: '出网流量',
                    type: 'line',
                    data: data.data.NetworkOut,
                    symbolSize: 1,
                    symbol: 'circle',
                    smooth: true,
                    showSymbol: false,
                    lineStyle: {
                        width: 1
                    },
                    itemStyle: {
                        normal: {
                            color: '#75db16',
                            borderColor: '#75db16'
                        }
                    }
                }, {
                    name: '入网流量',
                    type: 'line',
                    data: data.data.NetworkIn,
                    symbolSize: 1,
                    symbol: 'circle',
                    smooth: true,
                    showSymbol: false,
                    lineStyle: {
                        width: 1,
                        shadowColor: 'rgba(92, 102, 255, 0.3)',
                        shadowBlur: 10,
                        shadowOffsetY: 20
                    },
                    itemStyle: {
                        normal: {
                            color: '#5c66ff',
                            borderColor: '#5c66ff'
                        }
                    }
                }]

            }
            // 使用刚指定的配置项和数据显示图表。
            Networkechart.setOption(Networkoption);
            var CpumyChart = echarts.init(document.getElementById('cpuechart'), 'walden');
            var Cpuoption = {
                // backgroundColor: '#fff',
                title: {
                    subtext: '最近一周CPU统计',
                    left: 'center',
                    textAlign: 'left',
                    subtextStyle: {
                        lineHeight: 50,
                        color: '#fff'
                    }
                },
                tooltip: {
                    trigger: 'axis',
                    axisPointer: {
                        type: 'line',
                        lineStyle: {
                            color: '#7dcb8f'
                        }
                    },
                    // backgroundColor: '#fff',
                    textStyle: {
                        color: '#333',
                        fontSize: 12
                    },
                    padding: [10, 10],
                    extraCssText: 'box-shadow: 0px 4px 13px 1px rgba(1, 24, 167, 0.1);',
                    formatter: function (params, ticket, callback) {
                        const res = `<div>
                                  <div style="color: #fff;">${params[0].seriesName}：${params[0].value} %</div>
                                  <div style="color: #fff;">${params[0].axisValue}</div>
                                </div>`
                        return res
                    }
                },
                legend: {
                    data: ['CPU使用率(%)'],
                    textStyle: {
                        color: '#fff'
                    },
                },
                grid: {
                    left: '80',
                    top: 20,
                    x: 50,
                    x2: 50,
                    y2: 80
                },
                dataZoom: [{
                    type: 'inside',
                    throttle: 50
                }],
                xAxis: [{
                    offset: 15,
                    type: 'category',
                    boundaryGap: false,
                    axisLine: {
                        lineStyle: {
                            type: 'dashed',
                            color: '#ddd',
                            width: 1
                        }
                    },
                    data: data.data.CpuUsage_column,
                    axisTick: {
                        show: false
                    },
                    splitLine: {
                        show: false
                    },
                    axisLabel: {
                        show: true,
                        textStyle: {
                            color: '#fff'
                        }
                    }
                }],
                yAxis: [{
                    type: 'value',
                    axisTick: {
                        show: false
                    },
                    max: 100,
                    min: 0,
                    axisLine: {
                        show: false
                    },
                    axisLabel: {
                        formatter: '{value} %',
                        textStyle: {
                            color: '#fff'
                        }
                    },
                    splitLine: {
                        lineStyle: {
                            type: 'dashed'
                        }
                    }
                }],
                series: [{
                    name: 'CPU使用率(%)',
                    type: 'line',
                    areaStyle: {
                        opacity: 1,
                        color: '#C23531'
                    },
                    symbol: 'none',
                    lineStyle: {
                        normal: {
                            width: 0
                        }
                    },
                    smooth: true,
                    data: data.data.CpuUsage_data
                }]

            }
            //myChart.setOption(option);
            CpumyChart.setOption(Cpuoption);
        } else {

        }

    }).error(function (data) {

    });
});